import request from '/@/utils/request';
/**
 * @summary description 获取全部的文档分组
 */
export const get_knowledge_group_list = async () => {
	return request({
		url: '/admin/knowledge/get_knowledge_group_list',
		method: 'POST',
	});
};

/**
 * @summary description 添加文档分组
 */
export const add_knowledge_group = async (params) => {
	return request({
		url: '/admin/knowledge/add_knowledge_group',
		method: 'POST',
		data: params,
	});
};
/**
 * @summary description 修改文档分组
 */
export const update_knowledge_group = async (params) => {
	return request({
		url: '/admin/knowledge/update_knowledge_group',
		method: 'POST',
		data: params,
	});
};
/**
 * @summary description 删除文档分组
 */
export const delete_knowledge_group = async (params) => {
	return request({
		url: '/admin/knowledge/delete_knowledge_group',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary description 获取所有的文档
 */
export const list_knowledge_file = async (params) => {
	return request({
		url: '/admin/knowledge/list_knowledge_file',
		method: 'POST',
		data: params,
	});
};
/**
 * @summary description 添加文档
 */
export const add_knowledge_file = async (params) => {
	return request({
		url: '/admin/knowledge/add_knowledge_file',
		method: 'POST',
		data: params,
	});
};
/**
 * @summary description 删除文档
 */
export const delete_knowledge_file = async (params) => {
	return request({
		url: '/admin/knowledge/delete_knowledge_file',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary description 列出文档向量块
 */
export const list_knowledge_file_vector = async (params) => {
	return request({
		url: '/admin/knowledge/list_knowledge_file_vector',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary description 获取文档文本
 */
export const get_knowledge_file_text = async (params) => {
	return request({
		url: '/admin/knowledge/get_knowledge_file_text',
		method: 'POST',
		data: params,
	});
};
